<?php

namespace Picea\Ui\Form;

class UiTel extends UiInput {

   public string $token = "ui.tel";

   public array $attributes = [
       'class' => "ui-tel",
       'type'  => "tel",
   ];

   public string $defaultPattern = "[0-9]{1}-[0-9]{3}-[0-9]{3}-[0-9]{4}";

   protected function parseAttributes(?string $options) : array
   {
       return parent::parseAttributes($options) + [ 'pattern' => $this->defaultPattern ];
   }
}
